diff tests/test-summaries.sh @ 3:03a02c1f0a9f

* update tests for changed csv format (doh)
author Chris Cannam
date Thu, 11 Dec 2008 11:28:03 +0000
parents 581b1b150a4d
children 0f7c8b9410ef
line wrap: on
line diff
--- a/tests/test-summaries.sh	Thu Dec 11 11:01:37 2008 +0000
+++ b/tests/test-summaries.sh	Thu Dec 11 11:28:03 2008 +0000
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 mypath=`dirname $0`
-r=$mypath/../sonic-annotator
+r=$mypath/../runner/sonic-annotator
 
 infile=$mypath/audio/3clicks8.wav
 tmpfile=$mypath/tmp_1_$$
@@ -62,7 +62,7 @@
 $r -t $stransform -w rdf --rdf-stdout $infile > $tmpfile 2>/dev/null || \
     fail "Fails to run transform $stransform with RDF output"
 
-rapper -i turtle $tmpfile -o turtle 2>/dev/null | grep -v '^@prefix :' > $tmpcanonical ||
+rapper -i turtle $tmpfile -o turtle 2>/dev/null | grep -v '^@prefix :' | grep -v 'file:/' > $tmpcanonical ||
     fail "Fails to produce parseable RDF/TTL for transform $stransform"
 
 cmp -s $tmpcanonical ${sexpected}.n3 || \